Ogre::GLESFBOManager::RBFormat Struct Reference

Stencil and depth renderbuffers of the same format are re-used between surfaces of the same size and format. More...

List of all members.

## Public Member Functions

| RBFormat (GLenum inFormat, size_t inWidth, size_t inHeight, uint fsaa)
bool | operator< (const RBFormat &other) const

## Public Attributes

GLenum | format
size_t | width
size_t | height
uint | samples

## Detailed Description

Stencil and depth renderbuffers of the same format are re-used between surfaces of the same size and format.

This can save a lot of memory when a large amount of rendertargets are used.

Definition at line 132 of file OgreGLESFBORenderTexture.h.

## Constructor & Destructor Documentation

Ogre::GLESFBOManager::RBFormat::RBFormat | ( | GLenum | inFormat,
|  | size_t | inWidth,
|  | size_t | inHeight,
|  | uint | fsaa
| ) |  |

Definition at line 134 of file OgreGLESFBORenderTexture.h.

## Member Function Documentation

bool Ogre::GLESFBOManager::RBFormat::operator< | ( | const RBFormat & | other | ) | const

Definition at line 142 of file OgreGLESFBORenderTexture.h.

References format, height, samples, and width.

## Member Data Documentation

GLenum Ogre::GLESFBOManager::RBFormat::format

Definition at line 137 of file OgreGLESFBORenderTexture.h.

Referenced by operator<().

size_t Ogre::GLESFBOManager::RBFormat::height

Definition at line 139 of file OgreGLESFBORenderTexture.h.

Referenced by operator<().

uint Ogre::GLESFBOManager::RBFormat::samples

Definition at line 140 of file OgreGLESFBORenderTexture.h.

Referenced by operator<().

size_t Ogre::GLESFBOManager::RBFormat::width

Definition at line 138 of file OgreGLESFBORenderTexture.h.

Referenced by operator<().

The documentation for this struct was generated from the following file:

- OgreGLESFBORenderTexture.h

Copyright © 2012 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Sun Sep 2 2012 07:27:57